      SUBROUTINE OUTDT1(ICY) 
C
C  OUTDT1 writes scenario parameters and output on unit IOUREP using output
C  format (OUTFMT) 1.
C
C  Called by OUTPUT.
C
C  Calls OUTPOL
C
C  Input on call:
C
C    parameter list: ICY
C    common blocks:
C     /IOUCOM/ IOUREP
C     /MAXIMA/ MAXVEH
C     /REGION/ IREJN,ALT
C     /RESUL1/ EF(MAXPOL,MAXVEH+3)
C     /RESUL3/ VEF(MAXPOL)
C     /SCENE1/ SPD
C     /CITPAR/ SCNAME(8)
C     /VMXCOM/ VMTMIX(MAXVEH)
C
C  Local variable dictionary:
C
C   Name   Type              Description
C  ------  ----  -------------------------------------------------------
C  ICY2     I    last 2 digits of calendar (scenario evaluation) year
C
C
C  Notes:
C
C  OUTDT1 was added for PART.
C  Dec-17-1993 @ ARC-bsg Subtask 362
C  Disable Fugitive Dust All vehicle output
C  Feb-16-1994 @ CSC-bsg Request 394 SO2FLG Disable Exhaust SO2 output
C  Feb-23-1994 @ CSC-bsg Request 397 Paved Dust in All vehicle
C  Mar-16-1994 @ CSC-bsg Request 398 Add bus categories as output
C  Mar-28-1994 @ CSC-bsg  Request 410 There is no reliable data to support
C  a soluble organic fraction for gasoline vehicles at this date.
C  Jun-21-1994 @ CSC-bsg Request 449 silt content in the printout to have enough
C  significant digits so that 0.02 is reported instead of 0.0 in the echo.
C  Same problem with VMT mix, three significant digits printed, 4 read in.
C  Jul-25-1994 @ CSC-bsg Request 434 Changed the Unpaved Dust to one decimal 
C  place after the decimal point
C  Jul-29-1994 @ CSC-bsg Request 434 Modified Idle Output to include extra
C  Bus Categories with the same EF as Regular Buses
C  Oct-28-1994 @ CSC-ked Request 474 PART5 Fugitive Dust Reformatting
C
      INCLUDE 'PARAM.INC'
      INCLUDE 'IOU.INC'
      INCLUDE 'IDLE.INC'
      INCLUDE 'REGIS.INC'
      INCLUDE 'FLAGS.INC'
      INCLUDE 'RESULT.INC'
      INCLUDE 'SCENE.INC'
C
C
      CHARACTER*3 POLCDE
      CHARACTER*8 MISSNG
      DIMENSION POLCDE(MAXPOL)
C
C  Feb-16-1994 @ CSC-bsg Request 394 SO2FLG Disable Exhaust SO2 output
C
      DATA POLCDE/'Led','SOF','RCP','DiS','ExP','G.S','InS','ToS',
     *            'Brk','Tir','ToP'/
CC     *            'Brk','Tir','ToP','UnD','PvD'/
      DATA MISSNG/'    *   '/
C
      CALL OUTPOL(IP1,IP2)
C
      ICY2=ICY-((ICY/100)*100)
C
      GOTO(10,20,30),BUSFLG    
 10   DO 11 IP=IP1,IP2
C
C  Dec-17-1993 @ ARC-bsg Subtask 362
C  Disable Fugitive Dust All vehicle output
C  Feb-16-1994 @ CSC-bsg Request 394 SO2FLG Disable Exhaust SO2 output
C  Feb-23-1994 @ CSC-bsg Request 397 Paved Dust in All vehicle
C  Mar-17-1994 @ CSC-bsg Request 398 Add bus categories as output
C  removed extra speeds shrink dust precision
C  Mar-28-1994 @ CSC-bsg  Request 410 There is no reliable data to support
C  a soluble organic fraction for gasoline vehicles at this date.
C  Oct-28-1994 @ CSC-ked Request 474 PART5 Fugitive Dust Reformatting.
C
         IF (IP.NE.6.AND.IP.NE.2.AND.IP.NE.3) THEN
            WRITE(IOUREP,200)IREJN,ICY2,SPD,ALT,
     *      POLCDE(IP),(EF(IP,IV),IV=1,MAXVEH),
     *      VEF(IP),(VMTMIX(IV),IV=1,MAXVEH),SCNAME
C
C  Jul-25-1994 @ CSC-bsg Request 434 Changed the Unpaved Dust to one decimal 
C  place after the decimal point
C  Oct-28-1994 @ CSC-ked Request 474 PART5 Fugitive Dust Reformatting
C
CC         ELSEIF (IP.EQ.12) THEN
CC            WRITE(IOUREP,210)IREJN,ICY2,SPD,ALT,
CC     *      POLCDE(IP),(EF(IP,IV),IV=1,MAXVEH),
CC     *      (VMTMIX(IV),IV=1,MAXVEH),SCNAME
CC         ELSEIF (IP.EQ.13) THEN
CC            WRITE(IOUREP,209)IREJN,ICY2,SPD,ALT,
CC     *      POLCDE(IP),(EF(IP,IV),IV=1,MAXVEH),
CC     *      VEF(IP),(VMTMIX(IV),IV=1,MAXVEH),SCNAME
         ELSEIF (IP.EQ.6) THEN
            WRITE(IOUREP,211)
  211       FORMAT(1X)
         ELSEIF (IP.EQ.2 .OR. IP.EQ.3) THEN
C
C  Mar-28-1994 @ CSC-bsg  Request 410 There is no reliable data to support
C  a soluble organic fraction for gasoline vehicles at this date.
C  Removed all vehicle emissions for SOF and RCP
C
              WRITE(IOUREP,261)
     *      IREJN,ICY2,SPD,ALT,
     *      POLCDE(IP),(EF(IP,IV),IV=6,MAXVEH),
     *      (VMTMIX(IV),IV=1,MAXVEH),SCNAME
  261 FORMAT(' ',I1,1X,I2,2X,F4.1,1X,F6.0,
     * 1X,A3,1X,'  -      -      -      -      -    ',
     * 7F7.3,'   -',7X,12F7.4,1X,8A4)
         ENDIF
   11 CONTINUE
C
  200 FORMAT(
     *' ',I1,1X,I2,2X,F4.1,1X,F6.0,
     * 1X,A3,1X,12F7.3,F8.3,3X,12F7.4,1X,8A4)
  209 FORMAT(
     *' ',I1,1X,I2,2X,F4.1,1X,F6.0,
     * 1X,A3,1X,12F7.2,F8.1,3X,12F7.4,1X,8A4)
C
C  Dec-17-1993 @ ARC-bsg Subtask 362
C  Disable Fugitive Dust All vehicle output
C  Jul-25-1994 @ CSC-bsg Request 434 Changed the Unpaved Dust to one decimal 
C  place after the decimal point
C
  210 FORMAT(
     *' ',I1,1X,I2,2X,F4.1,1X,F6.0,
     * 1X,A3,1X,12F7.1,8X,3X,12F7.4,1X,8A4)
C
      IF (IDLFLG.GT.1) THEN
         WRITE(IOUREP,201) MISSNG, MISSNG, MISSNG, MISSNG,
     *      MISSNG, MISSNG, MISSNG,(EMSIDL(IV),IV=8,MAXVEH),MISSNG,
     *      (VMTMIX(IV),IV=1,MAXVEH),SCNAME
      ENDIF
  201 FORMAT('  Total Idle (G/Hr)',4X,7A7,5F7.3,1X,A8, 
     *                             2X,12F7.4,1X,8A4)
C
C  Feb-16-1994 @ CSC-bsg Request 394 SO2FLG Disable Exhaust SO2 output
C
      IF (SO2FLG.EQ.2) THEN
            IP=6
            WRITE(IOUREP,200)IREJN,ICY2,SPD,ALT,
     *      POLCDE(IP),(EF(IP,IV),IV=1,MAXVEH),
     *      VEF(IP),(VMTMIX(IV),IV=1,MAXVEH),SCNAME
      ENDIF
C
      GOTO 99
C
C Busflg 2 option
C 
 20   DO 22 IP=IP1,IP2
C
C  Dec-17-1993 @ ARC-bsg Subtask 362
C  Disable Fugitive Dust All vehicle output
C  Feb-16-1994 @ CSC-bsg Request 394 SO2FLG Disable Exhaust SO2 output
C  Feb-23-1994 @ CSC-bsg Request 397 Paved Dust in All vehicle
C  Mar-17-1994 @ CSC-bsg Request 398 Add bus categories as output
C  removed extra speeds shrink dust precision
C  Mar-28-1994 @ CSC-bsg  Request 410 There is no reliable data to support
C  a soluble organic fraction for gasoline vehicles at this date.
C  Oct-28-1994 @ CSC-ked Request 474 PART5 Fugitive Dust Reformatting
C
         IF (IP.NE.6.AND.IP.NE.2.AND.IP.NE.3) THEN
            WRITE(IOUREP,220)IREJN,ICY2,SPD,ALT,
     *      POLCDE(IP),(EF(IP,IV),IV=1,MAXVEH),
     *      VEF(IP),EF(IP,13),EF(IP,14),(VMTMIX(IV),IV=1,MAXVEH),SCNAME
C
C  Jul-25-1994 @ CSC-bsg Request 434 Changed the Unpaved Dust to one decimal 
C  place after the decimal point
C
CC         ELSEIF (IP.EQ.12) THEN
CC            WRITE(IOUREP,223)IREJN,ICY2,SPD,ALT,
CC     *      POLCDE(IP),(EF(IP,IV),IV=1,MAXVEH),EF(IP,13),EF(IP,14),
CC     *      (VMTMIX(IV),IV=1,MAXVEH),SCNAME
CC         ELSEIF (IP.EQ.13) THEN
CC            WRITE(IOUREP,229)IREJN,ICY2,SPD,ALT,
CC     *      POLCDE(IP),(EF(IP,IV),IV=1,MAXVEH),VEF(IP),
CC     *      EF(IP,13),EF(IP,14),(VMTMIX(IV),IV=1,MAXVEH),SCNAME
         ELSEIF (IP.EQ.6) THEN
            WRITE(IOUREP,211)
         ELSEIF (IP.EQ.2 .OR. IP.EQ.3) THEN
C
C  Mar-28-1994 @ CSC-bsg  Request 410 There is no reliable data to support
C  a soluble organic fraction for gasoline vehicles at this date.
C  Removed all vehicle emissions for SOF and RCP
C
              WRITE(IOUREP,222)
     *      IREJN,ICY2,SPD,ALT,
     *      POLCDE(IP),(EF(IP,IV),IV=6,MAXVEH),EF(IP,13),EF(IP,14),
     *      (VMTMIX(IV),IV=1,MAXVEH),SCNAME
  222 FORMAT(' ',I1,1X,I2,2X,F4.1,1X,F6.0,
     * 1X,A3,1X,'  -      -      -      -      -    ',
     * 7F7.3,'   -',4X,F8.3,F7.3,3X,12F7.4,1X,8A4)
         ENDIF
   22 CONTINUE
C
  220 FORMAT(
     *' ',I1,1X,I2,2X,F4.1,1X,F6.0,
     * 1X,A3,1X,12F7.3,2F8.3,F7.3,3X,12F7.4,1X,8A4)
  229 FORMAT(
     *' ',I1,1X,I2,2X,F4.1,1X,F6.0,
     * 1X,A3,1X,12F7.2,F8.1,F8.2,F7.2,3X,12F7.4,1X,8A4)
C
C  Dec-17-1993 @ ARC-bsg Subtask 362
C  Disable Fugitive Dust All vehicle output
C  Jul-25-1994 @ CSC-bsg Request 434 Changed the Unpaved Dust to one decimal 
C  place after the decimal point
C
  223 FORMAT(
     *' ',I1,1X,I2,2X,F4.1,1X,F6.0,
     * 1X,A3,1X,12F7.1,8X,F8.1,F7.1,3X,12F7.4,1X,8A4)
C
C  Jul-29-1994 @ CSC-bsg Request 434 Modified Idle Output to include extra
C  Bus Categories with the same EF as Regular Buses
C
      IF (IDLFLG.GT.1) THEN
         WRITE(IOUREP,221) MISSNG, MISSNG, MISSNG, MISSNG,
     *      MISSNG, MISSNG, MISSNG,(EMSIDL(IV),IV=8,MAXVEH),MISSNG,
     *      EMSIDL(MAXVEH),EMSIDL(MAXVEH), 
     *      (VMTMIX(IV),IV=1,MAXVEH),SCNAME
      ENDIF
  221 FORMAT('  Total Idle (G/Hr)',4X,7A7,5F7.3,1X,A8,F7.3,F8.3,T124,A5,
     *                             5X,12F7.4,1X,8A4)
C
C  Feb-16-1994 @ CSC-bsg Request 394 SO2FLG Disable Exhaust SO2 output
C
      IF (SO2FLG.EQ.2) THEN
            IP=6
            WRITE(IOUREP,220)IREJN,ICY2,SPD,ALT,
     *      POLCDE(IP),(EF(IP,IV),IV=1,MAXVEH),
     *      VEF(IP),EF(IP,13),EF(IP,14),(VMTMIX(IV),IV=1,MAXVEH),SCNAME
      ENDIF
      WRITE(IOUREP,291)
 291  FORMAT(' ** Not Included in All Veh.')
C
      GOTO 99
C
C Busflg 3 option
C 
 30   DO 33 IP=IP1,IP2
C
C  Dec-17-1993 @ ARC-bsg Subtask 362
C  Disable Fugitive Dust All vehicle output
C  Feb-16-1994 @ CSC-bsg Request 394 SO2FLG Disable Exhaust SO2 output
C  Feb-23-1994 @ CSC-bsg Request 397 Paved Dust in All vehicle
C  Mar-17-1994 @ CSC-bsg Request 398 Add bus categories as output
C  removed extra speeds shrink dust precision
C  Mar-28-1994 @ CSC-bsg  Request 410 There is no reliable data to support
C  a soluble organic fraction for gasoline vehicles at this date.
C  Oct-28-1994 @ CSC-ked Request 474 PART5 Fugitive Dust Reformatting
C
         IF (IP.NE.6.AND.IP.NE.2.AND.IP.NE.3) THEN
            WRITE(IOUREP,230)IREJN,ICY2,SPD,ALT,
     *      POLCDE(IP),(EF(IP,IV),IV=1,MAXVEH),
     *      VEF(IP),EF(IP,15),(VMTMIX(IV),IV=1,MAXVEH),SCNAME
C
C  Jul-25-1994 @ CSC-bsg Request 434 Changed the Unpaved Dust to one decimal 
C  place after the decimal point
C
CC         ELSEIF (IP.EQ.12) THEN
CC            WRITE(IOUREP,233)IREJN,ICY2,SPD,ALT,
CC     *      POLCDE(IP),(EF(IP,IV),IV=1,MAXVEH),EF(IP,15),
CC     *      (VMTMIX(IV),IV=1,MAXVEH),SCNAME
CC         ELSEIF (IP.EQ.13) THEN
CC            WRITE(IOUREP,234)IREJN,ICY2,SPD,ALT,
CC     *      POLCDE(IP),(EF(IP,IV),IV=1,MAXVEH),VEF(IP),
CC     *      EF(IP,15),(VMTMIX(IV),IV=1,MAXVEH),SCNAME
         ELSEIF (IP.EQ.6) THEN
            WRITE(IOUREP,211)
         ELSEIF (IP.EQ.2 .OR. IP.EQ.3) THEN
C
C  Mar-28-1994 @ CSC-bsg  Request 410 There is no reliable data to support
C  a soluble organic fraction for gasoline vehicles at this date.
C  Removed all vehicle emissions for SOF and RCP
C
              WRITE(IOUREP,232)
     *      IREJN,ICY2,SPD,ALT,
     *      POLCDE(IP),(EF(IP,IV),IV=6,MAXVEH),EF(IP,15),
     *      (VMTMIX(IV),IV=1,MAXVEH),SCNAME
  232 FORMAT(' ',I1,1X,I2,2X,F4.1,1X,F6.0,
     * 1X,A3,1X,'  -      -      -      -      -    ',
     * 7F7.3,'   -',4X,F8.3,3X,12F7.4,1X,8A4)
         ENDIF
   33 CONTINUE
C
  230 FORMAT(
     *' ',I1,1X,I2,2X,F4.1,1X,F6.0,
     * 1X,A3,1X,12F7.3,2F8.3,3X,12F7.4,1X,8A4)
  234 FORMAT(
     *' ',I1,1X,I2,2X,F4.1,1X,F6.0,
     * 1X,A3,1X,12F7.2,F8.1,F8.2,3X,12F7.4,1X,8A4)
C
C  Dec-17-1993 @ ARC-bsg Subtask 362
C  Disable Fugitive Dust All vehicle output
C  Jul-25-1994 @ CSC-bsg Request 434 Changed the Unpaved Dust to one decimal 
C  place after the decimal point
C
  233 FORMAT(
     *' ',I1,1X,I2,2X,F4.1,1X,F6.0,
     * 1X,A3,1X,12F7.1,8X,F8.1,3X,12F7.4,1X,8A4)
C
C  Jul-29-1994 @ CSC-bsg Request 434 Modified Idle Output to include extra
C  Bus Categories with the same EF as Regular Buses
C
      IF (IDLFLG.GT.1) THEN
         WRITE(IOUREP,231) MISSNG, MISSNG, MISSNG, MISSNG,
     *      MISSNG, MISSNG, MISSNG,(EMSIDL(IV),IV=8,MAXVEH),MISSNG,
     *      EMSIDL(MAXVEH), (VMTMIX(IV),IV=1,MAXVEH),SCNAME
      ENDIF
  231 FORMAT('  Total Idle (G/Hr)',4X,7A7,5F7.3,1X,A8,F7.3,
     *                             3X,12F7.4,1X,8A4)
C
C  Feb-16-1994 @ CSC-bsg Request 394 SO2FLG Disable Exhaust SO2 output
C
      IF (SO2FLG.EQ.2) THEN
            IP=6
            WRITE(IOUREP,230)IREJN,ICY2,SPD,ALT,
     *      POLCDE(IP),(EF(IP,IV),IV=1,MAXVEH),
     *      VEF(IP),EF(IP,15),(VMTMIX(IV),IV=1,MAXVEH),SCNAME
      ENDIF
      WRITE(IOUREP,291)
 99   RETURN
      END
