      SUBROUTINE OUTHD1
C
C  OUTHD1 writes the run header on unit IOUREP using output format (OUTFMT) 1.
C  The format is intended for postprocessing of the data.  Hence, the
C  header consists of the field descriptors of the data lines.  
C
C  Called by OUTPUT.
C
C  Input on call:
C
C    common blocks:
C    /IOUCOM/ IOUREP
C    /MAXIMA/ MAXVEH
C    /NAMES1/ NAMVEH
C
C  Output on return:
C
C    common block: /REGION/ INITPR
C
C  Notes:
C  Mar-29-1994 @ CSC-bsg Request 398 Add bus categories as output
C  Jun-21-1994 @ CSC-bsg Request 449 silt content in the printout to have enough
C  significant digits so that 0.02 is reported instead of 0.0 in the echo.
C  Same problem with VMT mix, three significant digits printed, 4 read in.
C
C
      INCLUDE 'PARAM.INC'
      INCLUDE 'IOU.INC'
      INCLUDE 'NAMES.INC'
      INCLUDE 'SCENE.INC'
      INCLUDE 'FLAGS.INC'
C
      INITPR=0
C
      IF(BUSFLG.EQ.1) THEN
         WRITE(IOUREP,200) 
     *   (NAMVEH(IV),IV=1,MAXVEH),
     *   (NAMVEH(IV),IV=1,MAXVEH)
      ELSE IF(BUSFLG.EQ.2) THEN
         WRITE(IOUREP,210) NAMBUS(2,1),NAMBUS(2,2), 
     *   (NAMVEH(IV),IV=1,MAXVEH),NAMBUS(3,1),NAMBUS(3,2),
     *   (NAMVEH(IV),IV=1,MAXVEH)
      ELSE IF(BUSFLG.EQ.3) THEN
         WRITE(IOUREP,220) NAMBUS(1,3),NAMBUS(2,3),
     *   (NAMVEH(IV),IV=1,MAXVEH),NAMBUS(3,3),(NAMVEH(IV),IV=1,MAXVEH)
      ENDIF
C
C  Jun-21-1994 @ CSC-bsg Request 449 silt content in the printout to have enough
C  significant digits so that 0.02 is reported instead of 0.0 in the echo.
C  Same problem with VMT mix, three significant digits printed, 4 read in.
C
  200 FORMAT(
     *'1Note Speed is for all vehicle categories'/
     *' ','R',18X,'P'/
     *' ','e',10X,'Alt.',4X,'o',43X,'Composite Emission Factors',
     *        70X,'Vehicle Mix'/
     *' ','g CY Speed in Ft.  l',3X,
     *        12(1X,A6),'All Veh.  ',12(1X,A5,1X),' Scenario Title'/
     *' ','- -- ----- ------ --- ',
     *    94('-'),1X,84('-'),1X,32('-'))
  210 FORMAT(
     *'1Note Speed is for all vehicle categories except extra bus ',
     *'categories'/
     *' ','R',18X,'P'/
     *' ','e',10X,'Alt.',4X,'o',43X,'Composite Emission Factors',
     *T118,A7,A6,55X,'Vehicle Mix'/
     *' ','g CY Speed in Ft.  l',3X,
     *        12(1X,A6),'All Veh. ',2A8,12(1X,A5,1X),
     *' Scenario Title'/' ','- -- ----- ------ --- ',
     *    109('-'),1X,84('-'),1X,32('-'))
C
  220 FORMAT(
     *'1Note Speed is for all vehicle categories except extra bus ',
     *'categories'/
     *' ','R',18X,'P',T118,A7/
     *' ','e',10X,'Alt.',4X,'o',43X,'Composite Emission Factors',
     *T118,A7,55X,'Vehicle Mix'/
     *' ','g CY Speed in Ft.  l',3X,
     *        12(1X,A6),'All Veh. ',A7,2X,12(1X,A5,1X),
     *' Scenario Title'/' ','- -- ----- ------ --- ',
     *    102('-'),1X,84('-'),1X,32('-'))
C
      RETURN
      END
      SUBROUTINE OUTHD2
C
C  OUTHD2 writes the run header on unit IOUREP using output format (OUTFMT) 2.
C  The format is intended for postprocessing of the data.  Hence, the
C  header consists of the field descriptors of the data lines.  
C
C  Called by OUTPUT.
C
C  Input on call:
C
C    common blocks:
C    /IOUCOM/ IOUREP
C    /MAXIMA/ MAXVEH
C    /NAMES1/ NAMVEH
C
C  Output on return:
C
C    common block: /REGION/ INITPR
C
C
C  Notes:
C  Apr-29-1994 @ CSC-bsg Request 398 Add bus categories as output
C  Jun-21-1994 @ CSC-bsg Request 449 silt content in the printout to have enough
C  significant digits so that 0.02 is reported instead of 0.0 in the echo.
C  Same problem with VMT mix, three significant digits printed, 4 read in.
C
C
      INCLUDE 'PARAM.INC'
      INCLUDE 'IOU.INC'
      INCLUDE 'NAMES.INC'
      INCLUDE 'SCENE.INC'
      INCLUDE 'FLAGS.INC'
C
      INITPR=0
C
C
      IF(BUSFLG.EQ.1) THEN
         WRITE(IOUREP,200) 
     *   (NAMVEH(IV),IV=1,MAXVEH),
     *   (NAMVEH(IV),IV=1,7)
      ELSE IF(BUSFLG.EQ.2) THEN
         WRITE(IOUREP,210) NAMBUS(2,1),NAMBUS(2,2), 
     *   (NAMVEH(IV),IV=1,MAXVEH),NAMBUS(3,1),NAMBUS(3,2),
     *   (NAMVEH(IV),IV=1,7)
      ELSE IF(BUSFLG.EQ.3) THEN
         WRITE(IOUREP,220) NAMBUS(1,3),NAMBUS(2,3),
     *   (NAMVEH(IV),IV=1,MAXVEH),NAMBUS(3,3),(NAMVEH(IV),IV=1,7)
      ENDIF
C
C  Jun-21-1994 @ CSC-bsg Request 449 silt content in the printout to have enough
C  significant digits so that 0.02 is reported instead of 0.0 in the echo.
C  Same problem with VMT mix, three significant digits printed, 4 read in.
C
  200 FORMAT(
     *'1Note Speed is for all vehicle categories'/
     *'1','R',18X,'P'/
     *' ','e',10X,'Alt.    o',33X,'Composite Emission Factors',
     *58X,'Vehicle Mix'/
     *' ','g CY Speed in Ft.  l',2X,12(2X,A6),
     *' All Veh.  ',7(A5,1X),' 2BHD  LHDV  MHDV  HHDV  BUSES'/
     *' ','- -- ----- ------ --- ',106('-'),1X,74('-'))
  210 FORMAT(
     *'1Note Speed is for all vehicle categories except extra bus ',
     *'categories'/
     *' ','R',18X,'P'/
     *' ','e',10X,'Alt.    o',33X,'Composite Emission Factors',
     *T131,2A8,25X,'Vehicle Mix'/
     *' ','g CY Speed in Ft.  l',2X,12(2X,A6),
     *' All Veh.  ',2A8,1X,7(A5,1X),' 2BHD  LHDV  MHDV  HHDV  BUSES'/
     *' ','- -- ----- ------ --- ',123('-'),1X,74('-'))
  220 FORMAT(
     *'1Note Speed is for all vehicle categories except extra bus ',
     *'categories'/
     *' ','R',18X,'P',T131,A8/
     *' ','e',10X,'Alt.    o',33X,'Composite Emission Factors',
     *T131,A8,25X,'Vehicle Mix'/
     *' ','g CY Speed in Ft.  l',2X,12(2X,A6),
     *' All Veh.  ',A8,1X,7(A5,1X),' 2BHD  LHDV  MHDV  HHDV  BUSES'/
     *' ','- -- ----- ------ --- ',115('-'),1X,74('-'))
C
      RETURN
      END
      SUBROUTINE OUTHD3
C
C  OUTHD3 writes the run header on unit IOUREP using output format (OUTFMT) 3.
C  The header consists of the run title and a partial echo of user selected
C  options and data.
C
C  Called by OUTPUT.
C
C  Calls OUTATP, USDPTR.
C
C  Input on call:
C
C    common blocks:
C    /IOUCOM/ IOUREP
C    /FLAGS4/ PRTFLG,IDLFLG,BUSFLG
C
C  Output on return:
C
C    common block: /REGION/ INITPR
C
C  Notes:
C
C
      INCLUDE 'PARAM.INC'
      INCLUDE 'IOU.INC'
      INCLUDE 'FLAGS.INC'
      INCLUDE 'SCENE.INC'
C
      INITPR=0
C
      IF (BUSFLG.EQ.1) WRITE(IOUREP,300)
      IF (BUSFLG.EQ.2) WRITE(IOUREP,301)
      IF (BUSFLG.EQ.3) WRITE(IOUREP,302)
  300 FORMAT(' ',116('_'))
  301 FORMAT(' ',133('_'))
  302 FORMAT(' ',124('_'))
C
      CALL USDPTR
C
      RETURN
      END
      SUBROUTINE OUTHD4
C
C  OUTHD4 writes the run header on unit IOUREP using output format (OUTFMT) 4.
C  The header consists of the run title and a partial echo of user selected
C  options and data.
C
C  Called by OUTPUT.
C
C  Calls OUTATP, USDPTR.
C
C  Input on call:
C
C    common blocks:
C    /FLAGS1/ TAMFLG
C    /FLAGS2/ IMFLAG
C    /IOUCOM/ IOUREP
C
C  Output on return:
C
C    common block: 
C    /REGION/ INITPR
C
C  Notes:
C
C
      INCLUDE 'IOU.INC'
C
C     INITPR=0
C
      WRITE(IOUREP,200)
  200 FORMAT('1',119('_'))
C
      CALL USDPTR
C
      RETURN
      END
      SUBROUTINE OUTHDR
C
C  OUTHDR writes the output header ( = run title ) on unit IOUREP.
C
C  Called by CONSEC.
C
C  Input on call:
C
C    common block: /PROJEC/ PROJID
C
C
C  Notes:
C  Oct-13-1993 @ ARC-bsg Subtask 325 makes OUTHDR more like MOBILE
C
C
      INCLUDE 'PARAM.INC'
      INCLUDE 'IOU.INC'
      INCLUDE 'RESULT.INC'
C
      WRITE(IOUREP,200)
  200 FORMAT(' ','PART5 Revised 02-24-95')
      WRITE(IOUREP,210) PROJID
  210 FORMAT(' ',A80)
C
      RETURN
      END
      SUBROUTINE PFDUST
C
C  PFDUST prints the fugitive dust section for all reports with OUTFMT=3.
C
C  Called by O3B1, O3B2, O3B3, O3P3B1, O3P3B2, O3P3B3.
C
C  Input on call:
C
C    common block: /BASEFD/ IFAVWL,CUNPVD,CPAVED,CUNPV2,CPAVE2
C                  /IOUCOM/ IOUREP
C                  /NAMES2/ NAMFUD(2)
C                  /SCENE1/ UNSILT,PVSILT,IPDAYS,USRWT
C
C  Notes:
C
C  Subroutine created while making modifications for Request #4-484 on 1/19/95
C  by CSC/ked.
C
C  26-Jan-1995 @ CSC/ked Request #4-484 (PART5 Output) Add two new lines
C  of f. dust output for unpaved and paved roads fleet averages.  Print new
C  variables CUNPV2 and CPAVE2.
C
C
      INCLUDE 'PARAM.INC'
      INCLUDE 'BASEFD.INC'
      INCLUDE 'IOU.INC'
      INCLUDE 'NAMES.INC'
      INCLUDE 'SCENE.INC'
C
      WRITE(IOUREP,273) NAMFUD(1), CUNPVD, NAMFUD(2), CPAVED,
     *                  NAMFUD(1), CUNPV2, NAMFUD(2), CPAVE2
C
 273  FORMAT(' ',116('_'),
     *       /,/,1X,'Fugitive Dust: ',A28,F7.2,' g/mi',
     *       ' (as calculated in AP42 Vol 1 9/88)*',
     *       /,16X,A28,F7.2,' g/mi',
     *       ' (as calculated in draft AP42 Vol 1 3/93)*',
     *       /,16X,A28,F7.2,' g/mi',
     *       ' (as calculated in AP42 Vol 1 9/88, minus tailpipe',
     *       ' and ',/,58X,'tire-wear emissions)**',
     *       /,16X,A28,F7.2,' g/mi',
     *       ' (as calculated in draft AP42 Vol 1 3/93, minus ',
     *       'tailpipe ',/,58X,'and tire-wear emissions)**',
     *       /,/,1X,'*  Includes fleet average tailpipe, tire-wear',
     *       ' and brake-wear emissions.',
     *       /,1X,'** Includes fleet average brake-wear emissions.')
C
      WRITE(IOUREP,222) PVSILT,USRWT,UNSILT,IFAVWL,IPDAYS
C
C  Jun-14-1994 @ CSC-bsg Request 449 silt content in the printout to have enough
C  significant digits so that 0.02 is reported instead of 0.0 in the echo.
C
 222  FORMAT(
     *  /,2X,'Paved Road Silt:',F6.2,' (g/m^2)',T65,
     *  'Fleet average vehicle weight: ',I6,
     *  /,2X,'Unpaved Silt:',F5.1,'%',T65,
     *  'Fleet average number of wheels: ',I2,/,
     *  2X,'Precipitation Days:',I5,' >0.01 in. (per year)')
C
      RETURN
      END
      SUBROUTINE OUTPOL(IP1,IP2)
C
C  OUTPOL selects loop parameters for pollutant printouts.
C
C  Called by OUTDT1, OUTDT2, OUTDT3 and OUTDT4.
C
C  Input on call:
C
C    common blocks:
C    /FLAGS4/ PRTFLG,IDLFLG,BUSFLG
C    /MAXIMA/ MAXPOL
C
C  Output on return:
C
C    parameter list: IP1,IP2
C
C    OUTPOL returns IP1 and IP2 to create 3 output groupings:
C         PRTFLG                 Output Factors
C           1                All emission factors (including dust)
C           2                Exhaust PM factors only
C           3                All emission factors 
C         IDLFLG
C           0                Do not print idle emission factors
C           1                Print idle emission factors
C
C
C  Notes: Jul-20-1994 @ CSC-bsg improved this because PRTFLG values that
C  use this function only are 1 or 2.
C
C
      INCLUDE 'PARAM.INC'
      INCLUDE 'FLAGS.INC'
C
C
      DATA EXHPM /5/
C
      IF(PRTFLG.NE.2) THEN
        IP1=1
        IP2=MAXPOL
      ELSE
        IP1=1
        IP2=EXHPM
      ENDIF
C
      RETURN
      END
      SUBROUTINE OUTPUT(ICY) 
C
C  OUTPUT writes scenario results on unit IOUREP.
C
C  Called by MAIN.
C
C  Calls OUTDT1, OUTDT2, OUTDT4, O3B1, O3B2, O3B3, O3P3B1, O3P3B2, O3P3B3,
C        O5P1, O5P2, O5P3S1, O5P3S2, OUTHD1, OUTHD2, OUTHD3 and OUTHD4.
C
C  Input on call:
C
C    parameter list: ICY
C    common blocks:
C    /FLAGS3/ OUTFMT
C    /REGION/ INITPR
C
C
C  Notes:
C  Jan-5-1994 @ CSC-bsg Request 379  Conversion of OUTFMT=4 to OUTFMT=3
C  Jul-20-1994 @ CSC-bsg Changed meaning for PRTFLG=3
C
C
      INCLUDE 'PARAM.INC'
      INCLUDE 'FLAGS.INC'
      INCLUDE 'SCENE.INC'
C
C
C  Select report format.
C
      GOTO(10,20,30,30,30),OUTFMT
C
C  OUTFMT=1
C
   10 IF(INITPR.EQ.1) CALL OUTHD1
      CALL OUTDT1(ICY) 
      GOTO 99
C
C  OUTFMT=2
C
   20 IF(INITPR.EQ.1) CALL OUTHD2
      CALL OUTDT2(ICY) 
      GOTO 99
C
C  OUTFMT=3
C
   30 IF(INITPR.EQ.1) CALL OUTHD3
CC      CALL OUTDT3(ICY) 
      IF(PRTFLG.NE.3) THEN
        IF(BUSFLG.EQ.1) THEN
          CALL O3B1(ICY)
        ELSEIF(BUSFLG.EQ.2) THEN
          CALL O3B2(ICY)
        ELSEIF(BUSFLG.EQ.3) THEN
          CALL O3B3(ICY)
        ENDIF
      ELSE
        IF(BUSFLG.EQ.1) THEN
          CALL O3P3B1(ICY)
        ELSEIF(BUSFLG.EQ.2) THEN
          CALL O3P3B2(ICY)
        ELSEIF(BUSFLG.EQ.3) THEN
          CALL O3P3B3(ICY)
        ENDIF
      ENDIF
C
      IF(OUTFMT.EQ.5) THEN
        IF(PRTFLG.EQ.1) THEN
          CALL O5P1(ICY)
        ELSEIF(PRTFLG.EQ.2) THEN
          CALL O5P2(ICY)
        ELSEIF(PRTFLG.EQ.3) THEN
          IF(SO2FLG.EQ.1) THEN
            CALL O5P3S1(ICY)
          ELSEIF(SO2FLG.EQ.2) THEN
            CALL O5P3S2(ICY)
          ENDIF
        ENDIF
      ENDIF
   99 RETURN
      END
